Bug 484783 - Fedora 9 to 10 Upgrade - LUKS /home directory doesn't mount (non-lvm)
Fedora 9 to 10 Upgrade - LUKS /home directory doesn't mount (non-lvm)
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: initscripts (Show other bugs)
10
All Linux
low Severity high
: ---
: ---
Assigned To: Bill Nottingham
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-02-09 16:23 EST by Brandon Friedman
Modified: 2014-03-16 23:17 EDT (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-11-18 14:31:21 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Brandon Friedman 2009-02-09 16:23:17 EST
Description of problem: Upgraded from Fedora 9 to Fedora 10 using preupgrade. Upon upgrade completion and reboot, I get the follow message at boot up:
fsck.ext3: No such file or directory while trying to open
/dev/mapper/luks-2f12d9a1-0a73-4be2-9304-99b5b7fa8f87
/dev/mapper/luks-2f12d9a1-0a73-4be2-9304-99b5b7fa8f87:
The superblock could not be read or does not describe a correct ext2
filesystem. If the device is valid and it really contains an ext2 filesystem
(and not swap or ufs or something else), then the superblock is corrupt, and
you might try running e2fsck with an anternate superblock: e2fsck -b 8193
<dvice>

/boot: clean 36/26104 files, 17648/104388 blocks

Here is a copy of the /etc/fstab:
UUID=b4f1998c-9426-48b4-b2c9-9668f0e0f515 /                       ext3    defau$
/dev/mapper/luks-2f12d9a1-0a73-4be2-9304-99b5b7fa8f87 /home                   $
UUID=800cb516-d609-4afa-ac7e-b2824eb3634b /boot                   ext3    defau$
tmpfs                   /dev/shm                tmpfs   defaults	0 0
devpts                  /dev/pts                devpts  gid=5,mode=620  0 0
sysfs                   /sys                    sysfs   defaults	0 0
proc                    /proc                   proc    defaults	0 0
/dev/mapper/luks-fa688b55-3f64-4bdf-a3c8-6344014652ba swap                    s$

Here is the /etc/crypttab:
luks-2f12d9a1-0a73-4be2-9304-99b5b7fa8f87 UUID=2f12d9a1-0a73-4be2-9304-99b5b7fa8f87 none
luks-fa688b55-3f64-4bdf-a3c8-6344014652ba UUID=fa688b55-3f64-4bdf-a3c8-6344014652ba none


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Jeremy Katz 2009-05-06 12:46:37 EDT
/home should be getting mounted by rc.sysinit.  Reassigning to initscripts
Comment 2 Bill Nottingham 2009-05-06 13:16:23 EDT
Please try the latest errata initscripts.
Comment 3 Bug Zapper 2009-11-18 04:49:44 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Bill Nottingham 2009-11-18 14:31:21 EST
Closing, assumed fixed in the errata.

Note You need to log in before you can comment on or make changes to this bug.